Subject: Re: bug#73310: tree-sitter makes cpu 100%

From: vinurs <[email-masked]>
Date: Wed, 11 Dec 2024 16:10:01 +0800

Hi,I checked the md5  ------------Sincerely,Haiyuan Zhang, VinursBinaryBrain LLC 开 2024年12月11日 在 15:44:04, vinurs ([email-masked]) 写到:  
    Hi,otool -L /opt/homebrew/Cellar/emacs-plus@31/31.0.50/Emacs.app/Contents/MacOS/Emacs/opt/homebrew/Cellar/emacs-plus@31/31.0.50/Emacs.app/Contents/MacOS/Emacs:        /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit (compatibility version 45.0.0, current version 2575.20.19)        /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit (compatibility version 1.0.0, current version 275.0.0)        /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon (compatibility version 2.0.0, current version 170.0.0)        /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface (compatibility version 1.0.0, current version 1.0.0)        /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore (compatibility version 1.2.0, current version 1.11.0)        /System/Library/Frameworks/UniformTypeIdentifiers.framework/Versions/A/UniformTypeIdentifiers (compatibility version 1.0.0, current version 709.0.0)        /opt/homebrew/opt/libtiff/lib/libtiff.6.dylib (compatibility version 8.0.0, current version 8.0.0)        /opt/homebrew/opt/jpeg-turbo/lib/libjpeg.8.dylib (compatibility version 8.0.0, current version 8.3.2)        /opt/homebrew/opt/libpng/lib/libpng16.16.dylib (compatibility version 61.0.0, current version 61.0.0)        /opt/homebrew/opt/giflib/lib/libgif.dylib (compatibility version 0.0.0, current version 7.2.0)        /opt/homebrew/opt/webp/lib/libwebpdemux.2.dylib (compatibility version 3.0.0, current version 3.15.0)        /opt/homebrew/opt/webp/lib/libwebpdecoder.3.dylib (compatibility version 5.0.0, current version 5.9.0)        /opt/homebrew/opt/librsvg/lib/librsvg-2.2.dylib (compatibility version 53.0.0, current version 53.0.0)        /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 1351.0.0)        /opt/homebrew/opt/glib/lib/libgio-2.0.0.dylib (compatibility version 8201.0.0, current version 8201.2.0)        /opt/homebrew/opt/gdk-pixbuf/lib/libgdk_pixbuf-2.0.0.dylib (compatibility version 4201.0.0, current version 4201.12.0)        /opt/homebrew/opt/glib/lib/libgobject-2.0.0.dylib (compatibility version 8201.0.0, current version 8201.2.0)        /opt/homebrew/opt/glib/lib/libglib-2.0.0.dylib (compatibility version 8201.0.0, current version 8201.2.0)        /opt/homebrew/opt/gettext/lib/libintl.8.dylib (compatibility version 13.0.0, current version 13.0.0)        /opt/homebrew/opt/cairo/lib/libcairo.2.dylib (compatibility version 2.0.0, current version 2.0.0)        /opt/homebrew/opt/imagemagick/lib/libMagickWand-7.Q16HDRI.10.dylib (compatibility version 11.0.0, current version 11.2.0)        /opt/homebrew/opt/imagemagick/lib/libMagickCore-7.Q16HDRI.10.dylib (compatibility version 11.0.0, current version 11.2.0)        /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit (compatibility version 1.0.0, current version 619.2.8)        /opt/homebrew/opt/dbus/lib/libdbus-1.3.dylib (compatibility version 36.0.0, current version 36.4.0)        /usr/lib/libxml2.2.dylib (compatibility version 10.0.0, current version 10.9.0)        /usr/lib/libncurses.5.4.dylib (compatibility version 5.4.0, current version 5.4.0)        /opt/homebrew/opt/gnutls/lib/libgnutls.30.dylib (compatibility version 69.0.0, current version 69.0.0)        /opt/homebrew/opt/little-cms2/lib/liblcms2.2.dylib (compatibility version 3.0.0, current version 3.16.0)        /usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.12)        /opt/homebrew/opt/gmp/lib/libgmp.10.dylib (compatibility version 16.0.0, current version 16.0.0)        /opt/homebrew/opt/tree-sitter/lib/libtree-sitter.0.24.dylib (compatibility version 0.0.0, current version 0.0.0)        /opt/homebrew/opt/sqlite/lib/libsqlite3.0.dylib (compatibility version 9.0.0, current version 9.6.0)        /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation (compatibility version 150.0.0, current version 3107.0.0)        /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics (compatibility version 64.0.0, current version 1883.1.10)        /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices (compatibility version 1.0.0, current version 1226.0.0)        /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText (compatibility version 1.0.0, current version 844.1.0)        /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation (compatibility version 300.0.0, current version 3107.0.0)        /usr/lib/libobjc.A.dylib (compatibility version 1.0.0, current version 228.0.0)  ------------Sincerely,Haiyuan Zhang, VinursBinaryBrain LLC 开 2024年12月11日 在 15:04:40, Yuan Fu ([email-masked]) 写到:  

> On Dec 7, 2024, at 4:22 AM, Eli Zaretskii <[email-masked]> wrote:
>   
> Ping! Can anybody reproduce this and debug the problem?
>   
>> Date: Mon, 25 Nov 2024 19:21:49 +0800
>> From: vinurs <[email-masked]>
>> Cc: [email-masked], Eli Zaretskii <[email-masked]>
>>   
>>   
>> Hi Yuan,
>> I installed tree-sitter version 0.24.4 using brew install tree-sitter.   
>> I then tried the following Emacs versions:   
>> 1. emacs-plus@30   
>> 2. emacs-plus@31   
>> 3. Emacs-pretest-30.0.92-universal.dmg
>> (https://emacsformacosx.com/emacs-builds/Emacs-pretest-30.0.92-universal.dmg)   
>> 4. Compiled Emacs myself with the following configuration:   
>> ./configure --with-tree-sitter=/opt/homebrew/opt/tree-sitter --with-native-comp
>> I attempted to reproduce the issue using the following steps:   
>> Move to line 52. Delete all characters following :error-code. Quickly press the spacebar twice. At this point,
>> Emacs freezes.
>> The issue persists across all versions and builds.
>>   
>> ------------
>>   
>> Sincerely,
>>   
>> Haiyuan Zhang, Vinurs
>>   
>> BinaryBrain LLC
>>   
>> 开 2024年11月25日 在 09:48:30, Yuan Fu ([email-masked]) 写到:
>>   
>>> On Nov 10, 2024, at 3:35 AM, vinurs <[email-masked]> wrote:   
>>>   
>>> Because I saw Yuan’s response in the tree-sitter issue thread stating that this bug had already been
>> fixed, so I'm not sure if it’s the same issue anymore.
>>>   
>>> https://github.com/tree-sitter/tree-sitter/issues/3620   
>>>   
>>> ------------   
>>> Sincerely,   
>>>   
>>> Haiyuan Zhang, Vinurs   
>>> BinaryBrain LLC
>>   
>> Sorry for the late response. I went over the reproduce recipe again, and at least for me, Emacs
>> doesn’t hang anymore. Maybe your Emacs isn’t picking up the right tree-sitter library?   
>>   
>> Yuan

I tried again with v0.24.4 and emacs 30, and still can’t reproduce this. Haiyuan, if you run   

otool -L <emacs-binary>

What’s the location of libtree-sitter? I’m asking to see if there’s an old tree-sitter library on your system that Emacs is picking up over the new library you installed.

Yuan